Subject: Re: [AVT] I-D Action:draft-ietf-avt-seed-srtp-05.txt

From: 윤석웅 <[email-masked]>
Date: Thu, 25 Sep 2008 21:27:05 +0900 (KST)

WINiPMail Mail

WINiPMail Mail

WINiPMail Mail

WINiPMail Mail

Dear Mats Naslund

Thank you for comments.

The answer is below:

BR,

Seokung

----- 메일의 원문 -----

From: Mats N?slund <[email-masked]>

Sent: Fri Sep 19 23:42:19 KST 2008

To: [email-masked], [email-masked], [email-masked], [email-masked], [email-masked]

Cc: [email-masked]

Subject: RE: [AVT] I-D Action:draft-ietf-avt-seed-srtp-05.txt

Hi

I have two comments/questions on the draft.

When you replace AES_CM with SEED_CM, does it apply only to encryption?

I.e. will you still use AES_CM for key derivations?

>> For key derivation, SEED-CTR PRF is the almost same as AES-CM-PRF
of section 4.3.3 of RFC3711

We will define SEED-CTR PFR in the next version.

The CCM mode as I understand first applies authentication, _then_ encrypts.

Strictly speaking, this does not fit with RFC3711 which first encrypts

and then authenticates (from RFC3711):

3.3. SRTP Packet Processing

... the sender SHALL do the following to

construct an SRTP packet:

1. ...

...

5. Encrypt the RTP payload ...

...

7. For message authentication, compute the authentication tag ...

I think at least you should point out that you do not follow the general

processing order of RFC3711.

>> We think there are two options to solve this issue.

>> The one is removing the SEED-CCM in the draft to follow the general processing
order of RFC 3711

>> The other is adding some text to point out that we do not follow
the general processing order of RFC 3711

>> If we must keep the process of RFC3711, I will choose the first
option and reflect it. If not, I will choose the second option and reflect it.

>> Anyways, I prefer second option.

BR

/Mats

_______________________________________________
Audio/Video Transport Working Group
[email-masked]
https://www.ietf.org/mailman/listinfo/avt